Index: /extensions/AMenuManager/menu_templates/menubar_randompic.tpl
===================================================================
--- /extensions/AMenuManager/menu_templates/menubar_randompic.tpl	(revision 8961)
+++ /extensions/AMenuManager/menu_templates/menubar_randompic.tpl	(revision 8962)
@@ -1,12 +1,15 @@
-{known_script id="jquery" src=$ROOT_URL|cat:"themes/default/js/jquery.packed.js"}
-
 <!-- random picture menu bar -->
 <dt>{$block->get_title()}</dt>
-
 
 <dd id="irandompicdd" class="randompicdd">
   <div id="irandompicinner" class="illustration">
     <div class="ammillustrationc">
-      <div id="iamm_ill0" class="ammillustration">{$block->data.firstPicture}</div>
+      <div id="iamm_ill0" class="ammillustration">
+        <span id='iammRPicNameO' style='display:none;'></span>
+        <span id='iammRPicCommentO' style='display:none;'></span>
+        <a id='iammRPicLink' ><img id="iammRPicImg"/></a>
+        <span id='iammRPicNameU' style='display:none;'></span>
+        <span id='iammRPicCommentU' style='display:none;'></span>
+      </div>
     </div>
   </div>
